/*
 * UpdateSql.java
 * Copyright (C) 2008 Cyber Beans Corporation. All rights reserved.
 */
package jp.co.cybec.cb3.accessor.dbaccess;

/**
 * 設定ファイルから取得したUPDATE文を保持するクラス。
 * @author Lijuan Sun
 */
public class UpdateSql {

	/** SQL文ID */
	private String id = null;
	/** SQL文 */
	private String update = null;
	/** 分割コミット単位（件数）*/
	private String commitLimitCount = null;

	/**
	 * SQL文ID を取得する。
	 * @return 更新用SQL文ID
	 */
	public String getId() {
		return id;
	}

	/**
	 * SQL文ID を設定する。
	 * @param id 更新用SQL文ID
	 */
	public void setId(String id) {
		this.id = id;
	}

	/**
	 * SQL文を取得する。
	 * @return 更新用SQL文
	 */
	public String getUpdate() {
		return update;
	}

	/**
	 * SQL文を設定する。
	 * @param upt 更新用SQL文
	 */
	public void setUpdate(String upt) {
		this.update = upt;
	}

	/**
	 * 分割コミット単位（件数）を取得する
	 * @return 件数
	 */
	public String getCommitLimitCount() {
		return commitLimitCount;
	}

	/**
	 * 分割コミット単位（件数）を設定する
	 * @param commitLimitCount 件数
	 */
	public void setCommitLimitCount(String commitLimitCount) {
		this.commitLimitCount = commitLimitCount;
	}
}
